
/**************************************************************************
 *                                                                        *
 * Copyright (c) 1989 Michael Richmond, Richard Treffers and              *
 *                    The Regents of the University of California         *
 *                                                                        *
 *                    This software may be copied and distributed for     *
 *                    educational, research and not for profit services   *
 *                    provided that this copyright and statement are      *
 *                    included in all such copies.                        *
 *                                                                        *
 **************************************************************************/


/*******
 * This stuff used to be in a separate header file "pcvista.h"
 * 
 * MWR 4/24/2003
 */

typedef unsigned short uint16;		/* an unsigned 16-bit integer type */
typedef short   int16;		/* a 16-bit integer type */
typedef int     int32;		/* a 32-bit integer type */

#define	NMAX	1024	/* maximum row size 		*/
#define	NBUF	80
#define NBOX	20		/* maximum number of boxes 	*/
#define NHIST  4096 	/* max number of bins in a histogram */
#define NDIV     1		/* default binsize - histograms and sky use it */
#define SMALL	1.0e-8
#define NWINDOW		16
#define NENTRY      100		/* max number of files in a directory which */
                       		/* can be handled by dir-searching routines */

/*
 * end of old pcvista.h stuff
 **************************************/


/*      
	include file for FITS

	  !!! CAUTION: the fits writing routines SWAP data bytes !!!
*/

#define FITS_FAIL                       0
#define FITS_PASS                       1                       
#define FITS_EXTENSION                  ".fts"
#define NHANDLE 16            /* Max number of FITS files which can be open */

typedef int FITS_HANDLE;


FITS_HANDLE fits_open(  char * fname,
                        char * mode,
                        unsigned * nrows,
                        unsigned * ncols);
int fits_get_data(      FITS_HANDLE h,
                        unsigned row,
                        unsigned col,
                        int16 * data,
                        unsigned npix);
void fits_put_data(     FITS_HANDLE h,
                        unsigned row,
                        unsigned col, 
                        int16 * data,
                        unsigned npix);
int fits_put_symbol(    FITS_HANDLE h,
                        char * symbol_name,
                        char * contents);
int  fits_get_symbol(   FITS_HANDLE h,                    
                        char * symbol_name,
                        char * contents);
void fits_cut(          FITS_HANDLE h);

void fits_close(        FITS_HANDLE h);


void fits_put_data_fast(FITS_HANDLE h,
                        int16 * data,
                        int nwords);
char *fits_get_headerline(FITS_HANDLE h, int card_number);
int   fits_put_headerline(FITS_HANDLE h, char * header);

